Subject: Re: [bug#60904] [PATCH 05/25] gnu: Add go-github-com-google-safehtml.

From: "(" <[email-masked]>
Date: Tue, 07 Feb 2023 17:45:15 +0000

On Tue Feb 7, 2023 at 4:41 PM GMT, Katherine Cox-Buday wrote:
> >> +    (description
> >> +     "Package safehtml provides immutable string-like types which represent values
> >> +that are guaranteed to be safe, by construction or by escaping or sanitization,
> >> +to use in various HTML contexts and with various DOM APIs.")
> >
> >   (description
> >    "This package provides a Go library for storing HTML data as an immutable string-like
> >   value.")
>
> I disagree with this suggestion: the extra context about construction or
> escaping takes me from "why would I want to store HTML data in a
> struct", to, "oh this is a way to preclude passing around invalid/unsafe
> HTML around".

That's true.  There's no problem with incorporating it, but many upstream descriptions
are a bit too focused on the internals for guix IMO.  So I tried to construct a
description that got the point across without being too detailed; I probably went
too far.  (Also, I know it's a Go convention, but I personally think we should
remove the "package <name> is ..." phrasing where possible.)

How about this instead:

  (description
   "This package provides a Go library for storing HTML data as an immutable string-like
  value that is guaranteed to be safe to use in various HTML- and DOM-related contexts.")

    -- (